> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate PDF report for calculator

> POST's a single calculator calculation to the STE and generates a PDF report. Returns base64-encoded PDF documents based on the specified report type. Calculator value in query parameter should match the calculator type in the request body.



## OpenAPI

````yaml /cbs/api-reference/cbs-api.yaml post /print
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: CBS API Documentation for Calculators by Symmetry
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: CBS API
  version: 1.201.1
servers:
  - url: https://calculators.symmetry.com/api
security: []
tags:
  - description: List of available paycheck calculators
    name: Calculators
  - description: Salary-based paycheck calculations
    name: Salary Calculator
  - description: Hourly-based paycheck calculations
    name: Hourly Calculator
  - description: Reverse paycheck calculations
    name: Grossup Calculator
  - description: 401k retirement contribution calculations
    name: 401k Calculator
  - description: 403b retirement contribution calculations
    name: 403b Calculator
  - description: Final paycheck calculations
    name: Final Pay Calculator
  - description: Stock option exercise income calculations
    name: Stock Option Calculator
  - description: Tuition reimbursement calculations
    name: Tuition Calculator
  - description: Hourly with tips calculations
    name: Tax Tip Calculator
  - description: Flat bonus calculations
    name: Flat Bonus Calculator
  - description: Aggregate bonus calculations
    name: Aggregate Bonus Calculator
  - description: Batch processing and API data objects
    name: Data
  - description: Deduction configuration
    name: Deductions
  - description: PDF report generation
    name: Print
  - description: State-specific tax parameters
    name: State Parameters
  - description: API documentation
    name: Documentation
  - description: Postman collection and environment
    name: Postman
paths:
  /print:
    post:
      tags:
        - Print
      summary: Generate PDF report for calculator
      description: >-
        POST's a single calculator calculation to the STE and generates a PDF
        report. Returns base64-encoded PDF documents based on the specified
        report type. Calculator value in query parameter should match the
        calculator type in the request body.
      operationId: createReport
      parameters:
        - description: The calculator type to use
          example: salary
          in: query
          name: calculator
          required: false
          schema:
            enum:
              - 401k
              - 403b
              - '457'
              - agbonus
              - finalpay
              - flatbonus
              - grossup
              - hourly
              - salary
              - stockoption
              - taxtip
              - tuition
            type: string
        - description: The type of PDF report to generate
          example: checktop
          in: query
          name: report
          required: true
          schema:
            enum:
              - all
              - checkbottom
              - checkmiddle
              - checktop
              - deluxe_b100
              - deluxe_b211
              - deluxe_m102
              - deluxe_m145
              - deluxe_t104
              - deluxe_t111
              - earnings
              - quickbooks_top
            type: string
        - description: Show calculator object in response (currently non-functional)
          example: false
          in: query
          name: showcalc
          required: false
          schema:
            type: boolean
      requestBody:
        content:
          application/json:
            examples:
              Salary Print Request:
                description: Salary Print Request
                summary: Salary calculator for PDF generation
                value:
                  calculator:
                    checkDate: 1464291711938
                    federalAllowances: 0
                    federalFilingStatusType: SINGLE
                    grossPay: 52000
                    grossPayType: ANNUALLY
                    grossPayYTD: 0
                    payFrequency: WEEKLY
                    state: AZ
                    stateInfo:
                      parms:
                        - name: PERCENTSTATE
                          value: '2.7'
                        - name: stateExemption
                          value: false
                    voluntaryDeductions:
                      - benefitType: _401k
                        deductionAmount: 2
                        deductionMethodType: PERCENT_OF_GROSS
                        deductionName: 401k
                        exemptFederal: true
                        exemptFica: true
                        exemptLocal: true
                        exemptState: true
                    w42020: false
            schema:
              type: string
        description: >-
          Calculator object with all required fields for the specified
          calculator type
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                Multiple Reports:
                  description: Multiple Reports
                  summary: Multiple PDF reports (report=all)
                  value:
                    _links:
                      self:
                        href: >-
                          https://calculators.symmetry.com/api/print?calculator=salary&report=all&showcalc=false
                    content:
                      reports:
                        Check in middle: JVBERi0xLjQKJfbk/N8...
                        Check on bottom: JVBERi0xLjQKJfbk/N8...
                        Check on top: JVBERi0xLjQKJfbk/N8...
                        Earnings record: JVBERi0xLjQKJfbk/N8...
                Single Report:
                  description: Single Report
                  summary: Single PDF report (checktop)
                  value:
                    _links:
                      self:
                        href: >-
                          https://calculators.symmetry.com/api/print?calculator=salary&report=checktop&showcalc=false
                    content:
                      reports:
                        Check on top: >-
                          JVBERi0xLjQKJfbk/N8KMSAwIG9iago8PAovVHlwZSAvQ2F0YWxvZwovVmVyc2lvbiAvMS40...
          description: PDF report generated successfully (returns base64-encoded PDF)
        '400':
          content:
            application/json:
              example:
                content: Error occurred generating document
          description: Error generating document or invalid parameters
        '401':
          content:
            application/json:
              example:
                message: No api key found
          description: No API key provided
        '403':
          content:
            application/json:
              example:
                message: Invalid api key
          description: Invalid API key
        '404':
          content:
            application/json:
              example:
                error: Not Found
                path: /api/print/badpath
                status: 404
                timestamp: 1641573466465
          description: Invalid endpoint path
        '405':
          content:
            application/json:
              example:
                error: Method Not Allowed
                path: /api/print
                status: 405
                timestamp: 1641572607838
          description: Method not allowed
        '422':
          description: Unprocessable Entity
        '500':
          description: Internal Server Error
      security:
        - pcc-api-key: []
components:
  securitySchemes:
    pcc-api-key:
      description: API key for CBS API authentication
      in: header
      name: pcc-api-key
      type: apiKey

````